## com.baidubce.services.bmr.model
Class Instance

    java.lang.Object
      com.baidubce.services.bmr.model.Instance

    public class Instance

extends Object

Constructor Summary
`Instance()`

Method Summary
`String` `getId()`
`String` `getPrivateIpAddress()`
`String` `getPublicIpAddress()`
`void` `setId(String id)`
`void` `setPrivateIpAddress(String privateIpAddress)`
`void` `setPublicIpAddress(String publicIpAddress)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Instance

    public Instance()

Method Detail

### setId

    public void setId(String id)

### getId

    public String getId()

### setPrivateIpAddress

    public void setPrivateIpAddress(String privateIpAddress)

### getPrivateIpAddress

    public String getPrivateIpAddress()

### setPublicIpAddress

    public void setPublicIpAddress(String publicIpAddress)

### getPublicIpAddress

    public String getPublicIpAddress()

Copyright © 2016. All rights reserved.